Account Ownership Verification History Inquiry API
Retrieves the transaction history for account ownership verification.
API Information
POST/v1/api/auth/ownership/translist
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/auth/ownership/translist운영
https://npay.settlebank.co.kr/v1/api/auth/ownership/translistRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code. Fixed value.
Message type code. Fixed value.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└orgTrdDtAN(6)Alphanumeric, up to 6 bytes*Original transaction date.
Original transaction date.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant transaction number used in the verification request (no Korean characters).
Merchant transaction number used in the verification request (no Korean characters).
└trdNoAN(50)Alphanumeric, up to 50 bytes*Hecto Financial transaction reference number received in the verification request response.
Hecto Financial transaction reference number received in the verification request response.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID. AES-256 encrypted.Customer ID. AES-256 encrypted.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature Composition
mchtId + reqDt + reqTm + mchtTrdNo + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
SuccessResult message.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant transaction number.
OID20210830000000Merchant transaction number.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes
AES-256AES-256/ECB/PKCS5PaddingCustomer ID. AES-256 encrypted.kimhectoCustomer ID. AES-256 encrypted.
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└trdNoAN(50)Alphanumeric, up to 50 bytes*Hecto Financial transaction reference number.
STFP_FIRM123454657890Hecto Financial transaction reference number.
└bankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
004Bank code.
└custAcntNoAN(15)Alphanumeric, up to 15 bytes*Account number (masked).
12345********890Account number (masked).
└custAcntSumryAN(21)Alphanumeric, up to 21 bytes*
AES-256AES-256/ECB/PKCS5PaddingBank statement remark. AES-256 encrypted.이베이A12Bank statement remark. AES-256 encrypted.
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└reqTrdDtmAN(14)Alphanumeric, up to 14 bytes*Verification request datetime (yyyyMMddhhmmss).
20210830000000Verification request datetime (yyyyMMddhhmmss).
└chkTrdDtmAN(14)Alphanumeric, up to 14 bytes*Verification confirmation datetime (yyyyMMddhhmmss).
20210830000000Verification confirmation datetime (yyyyMMddhhmmss).
└trdStatCdAN(4)Alphanumeric, up to 4 bytes*Verification transaction status.
0021Verification transaction status.
0021: Success 0031: Failure└trdRsltCdAN(4)Alphanumeric, up to 4 bytes*Verification failure code.
0000Verification failure code.
└trdRsltMsgAN(600)Alphanumeric, up to 600 bytes*Verification result message.
SuccessVerification result message.
Need technical support?
Code Samples
HectoFinancial GitHub